[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ConstrainedResize

Procedure for performing a resize within defined boundaries (constraints)

## Declaration

Source position: controls.pp line 1043

`protected procedure TControl.ConstrainedResize(`
`var MinWidth: TConstraintSize;`
`var MinHeight: TConstraintSize;`
`var MaxWidth: TConstraintSize;`
`var MaxHeight: TConstraintSize`
`); virtual;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.